# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: device.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import pymascot.tango_enums_pb2 as tango__enums__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='device.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x0c\x64\x65vice.proto\x12\x06mascot\x1a\x11tango_enums.proto\"\x19\n\x17GetAttributeListMessage\"\x17\n\x15GetCommandListMessage\"b\n\x1a\x44\x65viceAttributeDescription\x12\x0c\n\x04name\x18\x01 \x01(\t\x12$\n\x08\x64\x61taType\x18\x02 \x01(\x0e\x32\x12.mascot.CmdArgType\x12\x10\n\x08writable\x18\x03 \x01(\x08\"L\n\x12\x41ttributeListReply\x12\x36\n\nattributes\x18\x01 \x03(\x0b\x32\".mascot.DeviceAttributeDescription\"\xc8\x02\n\x18\x44\x65viceCommandDescription\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x44\n\nparameters\x18\x02 \x03(\x0b\x32\x30.mascot.DeviceCommandDescription.ParametersEntry\x12H\n\x0creturnValues\x18\x03 \x03(\x0b\x32\x32.mascot.DeviceCommandDescription.ReturnValuesEntry\x1a\x45\n\x0fParametersEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12!\n\x05value\x18\x02 \x01(\x0e\x32\x12.mascot.CmdArgType:\x02\x38\x01\x1aG\n\x11ReturnValuesEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12!\n\x05value\x18\x02 \x01(\x0e\x32\x12.mascot.CmdArgType:\x02\x38\x01\"F\n\x10\x43ommandListReply\x12\x32\n\x08\x63ommands\x18\x01 \x03(\x0b\x32 .mascot.DeviceCommandDescriptionb\x06proto3')
  ,
  dependencies=[tango__enums__pb2.DESCRIPTOR,])




_GETATTRIBUTELISTMESSAGE = _descriptor.Descriptor(
  name='GetAttributeListMessage',
  full_name='mascot.GetAttributeListMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=43,
  serialized_end=68,
)


_GETCOMMANDLISTMESSAGE = _descriptor.Descriptor(
  name='GetCommandListMessage',
  full_name='mascot.GetCommandListMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=70,
  serialized_end=93,
)


_DEVICEATTRIBUTEDESCRIPTION = _descriptor.Descriptor(
  name='DeviceAttributeDescription',
  full_name='mascot.DeviceAttributeDescription',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='mascot.DeviceAttributeDescription.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='dataType', full_name='mascot.DeviceAttributeDescription.dataType', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='writable', full_name='mascot.DeviceAttributeDescription.writable', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=95,
  serialized_end=193,
)


_ATTRIBUTELISTREPLY = _descriptor.Descriptor(
  name='AttributeListReply',
  full_name='mascot.AttributeListReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='attributes', full_name='mascot.AttributeListReply.attributes', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=195,
  serialized_end=271,
)


_DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY = _descriptor.Descriptor(
  name='ParametersEntry',
  full_name='mascot.DeviceCommandDescription.ParametersEntry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='key', full_name='mascot.DeviceCommandDescription.ParametersEntry.key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.DeviceCommandDescription.ParametersEntry.value', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=_b('8\001'),
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=460,
  serialized_end=529,
)

_DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY = _descriptor.Descriptor(
  name='ReturnValuesEntry',
  full_name='mascot.DeviceCommandDescription.ReturnValuesEntry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='key', full_name='mascot.DeviceCommandDescription.ReturnValuesEntry.key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.DeviceCommandDescription.ReturnValuesEntry.value', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=_b('8\001'),
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=531,
  serialized_end=602,
)

_DEVICECOMMANDDESCRIPTION = _descriptor.Descriptor(
  name='DeviceCommandDescription',
  full_name='mascot.DeviceCommandDescription',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='mascot.DeviceCommandDescription.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='parameters', full_name='mascot.DeviceCommandDescription.parameters', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='returnValues', full_name='mascot.DeviceCommandDescription.returnValues', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY, _DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=274,
  serialized_end=602,
)


_COMMANDLISTREPLY = _descriptor.Descriptor(
  name='CommandListReply',
  full_name='mascot.CommandListReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='commands', full_name='mascot.CommandListReply.commands', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=604,
  serialized_end=674,
)

_DEVICEATTRIBUTEDESCRIPTION.fields_by_name['dataType'].enum_type = tango__enums__pb2._CMDARGTYPE
_ATTRIBUTELISTREPLY.fields_by_name['attributes'].message_type = _DEVICEATTRIBUTEDESCRIPTION
_DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY.fields_by_name['value'].enum_type = tango__enums__pb2._CMDARGTYPE
_DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY.containing_type = _DEVICECOMMANDDESCRIPTION
_DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY.fields_by_name['value'].enum_type = tango__enums__pb2._CMDARGTYPE
_DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY.containing_type = _DEVICECOMMANDDESCRIPTION
_DEVICECOMMANDDESCRIPTION.fields_by_name['parameters'].message_type = _DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY
_DEVICECOMMANDDESCRIPTION.fields_by_name['returnValues'].message_type = _DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY
_COMMANDLISTREPLY.fields_by_name['commands'].message_type = _DEVICECOMMANDDESCRIPTION
DESCRIPTOR.message_types_by_name['GetAttributeListMessage'] = _GETATTRIBUTELISTMESSAGE
DESCRIPTOR.message_types_by_name['GetCommandListMessage'] = _GETCOMMANDLISTMESSAGE
DESCRIPTOR.message_types_by_name['DeviceAttributeDescription'] = _DEVICEATTRIBUTEDESCRIPTION
DESCRIPTOR.message_types_by_name['AttributeListReply'] = _ATTRIBUTELISTREPLY
DESCRIPTOR.message_types_by_name['DeviceCommandDescription'] = _DEVICECOMMANDDESCRIPTION
DESCRIPTOR.message_types_by_name['CommandListReply'] = _COMMANDLISTREPLY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetAttributeListMessage = _reflection.GeneratedProtocolMessageType('GetAttributeListMessage', (_message.Message,), dict(
  DESCRIPTOR = _GETATTRIBUTELISTMESSAGE,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.GetAttributeListMessage)
  ))
_sym_db.RegisterMessage(GetAttributeListMessage)

GetCommandListMessage = _reflection.GeneratedProtocolMessageType('GetCommandListMessage', (_message.Message,), dict(
  DESCRIPTOR = _GETCOMMANDLISTMESSAGE,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.GetCommandListMessage)
  ))
_sym_db.RegisterMessage(GetCommandListMessage)

DeviceAttributeDescription = _reflection.GeneratedProtocolMessageType('DeviceAttributeDescription', (_message.Message,), dict(
  DESCRIPTOR = _DEVICEATTRIBUTEDESCRIPTION,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.DeviceAttributeDescription)
  ))
_sym_db.RegisterMessage(DeviceAttributeDescription)

AttributeListReply = _reflection.GeneratedProtocolMessageType('AttributeListReply', (_message.Message,), dict(
  DESCRIPTOR = _ATTRIBUTELISTREPLY,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.AttributeListReply)
  ))
_sym_db.RegisterMessage(AttributeListReply)

DeviceCommandDescription = _reflection.GeneratedProtocolMessageType('DeviceCommandDescription', (_message.Message,), dict(

  ParametersEntry = _reflection.GeneratedProtocolMessageType('ParametersEntry', (_message.Message,), dict(
    DESCRIPTOR = _DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY,
    __module__ = 'device_pb2'
    # @@protoc_insertion_point(class_scope:mascot.DeviceCommandDescription.ParametersEntry)
    ))
  ,

  ReturnValuesEntry = _reflection.GeneratedProtocolMessageType('ReturnValuesEntry', (_message.Message,), dict(
    DESCRIPTOR = _DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY,
    __module__ = 'device_pb2'
    # @@protoc_insertion_point(class_scope:mascot.DeviceCommandDescription.ReturnValuesEntry)
    ))
  ,
  DESCRIPTOR = _DEVICECOMMANDDESCRIPTION,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.DeviceCommandDescription)
  ))
_sym_db.RegisterMessage(DeviceCommandDescription)
_sym_db.RegisterMessage(DeviceCommandDescription.ParametersEntry)
_sym_db.RegisterMessage(DeviceCommandDescription.ReturnValuesEntry)

CommandListReply = _reflection.GeneratedProtocolMessageType('CommandListReply', (_message.Message,), dict(
  DESCRIPTOR = _COMMANDLISTREPLY,
  __module__ = 'device_pb2'
  # @@protoc_insertion_point(class_scope:mascot.CommandListReply)
  ))
_sym_db.RegisterMessage(CommandListReply)


_DEVICECOMMANDDESCRIPTION_PARAMETERSENTRY._options = None
_DEVICECOMMANDDESCRIPTION_RETURNVALUESENTRY._options = None
# @@protoc_insertion_point(module_scope)
